Package org.apache.torque.generator.control

## Class ControllerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.torque.generator.GeneratorException
      - - org.apache.torque.generator.control.ControllerException

- All Implemented Interfaces:
    `Serializable`

      public class ControllerException
      extends GeneratorException

  This Exception is thrown when an error occurs within the Controller of the Torque Generator.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ControllerException()` | Constructs a ConfigurationException without error message.
    `ControllerException​(String message)` | Constructs a ConfigurationException with the given error message.
    `ControllerException​(String message, Throwable cause)` | Constructs a ControllerException which wraps another exception, and which has its own error message.
    `ControllerException​(Throwable cause)` | Constructs a ControllerException which wraps another exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ControllerException

          public ControllerException()

      Constructs a ConfigurationException without error message.
      See Also:
        `Exception()`

    - #### ControllerException

          public ControllerException​(String message)

      Constructs a ConfigurationException with the given error message.
      Parameters:
        `message` - the error message
      See Also:
        `Exception(java.lang.String)`

    - #### ControllerException

          public ControllerException​(Throwable cause)

      Constructs a ControllerException which wraps another exception.
      Parameters:
        `cause` - The exception to wrap. May be null.
      See Also:
        `Exception(java.lang.Throwable)`

    - #### ControllerException

          public ControllerException​(String message,
                                     Throwable cause)

      Constructs a ControllerException which wraps another exception, and which has its own error message.
      Parameters:
        `message` - The error message.
        `cause` - The exception to wrap, may be null.
      See Also:
        `Exception(java.lang.String, java.lang.Throwable)`